org.apache.ignite.internal.pagemem.wal.record

## Class CheckpointRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.CheckpointRecord

    public class CheckpointRecord
    extends WALRecord

Checkpoint (begin) record

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`CheckpointRecord(UUID cpId, WALPointer cpMark)`
`CheckpointRecord(UUID cpId, WALPointer cpMark, boolean end)` Constructor kept for serializer
`CheckpointRecord(WALPointer cpMark)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCacheGroupState(int grpId, CacheState state)`
`Map<Integer,CacheState>` `cacheGroupStates()`
`void` `cacheGroupStates(Map<Integer,CacheState> cacheGrpStates)`
`UUID` `checkpointId()`
`WALPointer` `checkpointMark()`
`boolean` `end()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CheckpointRecord

    public CheckpointRecord(@Nullable
                            WALPointer cpMark)

Parameters:
  `cpMark` - Checkpoint mark.

#### CheckpointRecord

    public CheckpointRecord(UUID cpId,
                            @Nullable
                            WALPointer cpMark)

Parameters:
  `cpId` - Checkpoint ID.
  `cpMark` - Checkpoint mark.

#### CheckpointRecord

    public CheckpointRecord(UUID cpId,
                            @Nullable
                            WALPointer cpMark,
                            boolean end)

Constructor kept for serializer

Parameters:
  `cpId` - Checkpoint ID.
  `cpMark` - Checkpoint mark.
  `end` - Checkpoint end flag - deprecated expected to be always false

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### addCacheGroupState

    public void addCacheGroupState(int grpId,
                                   CacheState state)

Parameters:
  `grpId` - Cache group ID.
  `state` - Cache state.

#### cacheGroupStates

    public void cacheGroupStates(Map<Integer,CacheState> cacheGrpStates)

Parameters:
  `cacheGrpStates` - Cache states.

#### cacheGroupStates

    public Map<Integer,CacheState> cacheGroupStates()

Returns:
  Cache states.

#### checkpointId

    public UUID checkpointId()

Returns:
  Checkpoint ID.

#### end

    public boolean end()

Returns:
  Checkpoint end flag, now always false

#### checkpointMark

    public WALPointer checkpointMark()

Returns:
  Safe replay pointer.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018